AppendIterator::getIteratorIndex
AppendIterator::next
AppendIterator
PHP Manual

# AppendIterator::key

(PHP 5 >= 5.1.0)

AppendIterator::key — Gets the current key

### Description

public void AppendIterator::key ( void )

Get the current key

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The current key if it is valid or `NULL` otherwise.

### See Also

- AppendIterator::current - Gets the current value

AppendIterator::getIteratorIndex
AppendIterator::next
AppendIterator
PHP Manual